Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232835 - Forgotten redraw after a workspace switch
Summary: Forgotten redraw after a workspace switch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vte
Version: rawhide
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 16:49 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 05:09:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 419116 None None None Never

Description Jan Kratochvil 2007-03-18 16:49:53 UTC
Description of problem:
Gnome-terminal sometimes does not redraw its screen after switching workspace.

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.0-1.fc7.i386
vte-0.16.0-1.fc7.i386
(Fully updated RawHide, it started after the updates about approx. week ago.)

How reproducible:
Sometimes not easy, sometimes 50% of workspace switches.
At least once per minute during switching.

Steps to Reproduce:
1. Set `Switch to workspace on the left/right/above/below' to some keys.
2. Create 12x2 (24) workspaces.
3. Open 20 fullscreen gnome-terminals on them, each one on its workspace.
4. Display some texts on them.
5. Start switching them by the keys, all around.

Actual results:
Sometimes the screen remains empty or with some remains of the previous one.
Waiting does not help.  If it is not updated immediately it stays such way.
In such case SHIFT-PGUP+SHIFT-PGDOWN fixes the display (IIRC in 100% of cases).

Expected results:
Screen gets properly updated after each switch.

Additional info:
There is some race.
With more swapping/loaded system the bug reproduces more often.
Sometimes it is very disturbing that I tend to smash down the PC as it is not
easy to get the terminal drawn after multiple redraw retries.
The Bug may be in VTE or whatever else, not sure it is gnome-terminal's bug.

Comment 1 Yanko Kaneti 2007-03-19 19:16:07 UTC
This sounds like this vte bug.
http://bugzilla.gnome.org/show_bug.cgi?id=419116

Comment 2 Jan Kratochvil 2007-03-19 20:01:32 UTC
Yanko, thanks, it looks so, reassigning.  I just submitted it for the most user
visible component myself.


Comment 3 Jan Kratochvil 2007-03-20 12:50:35 UTC
Prebuilt unofficial packages with the patch from Comment 1 applied - it fixes
the problem for me:
http://www.jankratochvil.net/priv/bz232835/


Comment 4 Matthias Clasen 2007-03-24 05:09:25 UTC
Fixed in 0.16.0-2.fc7


Note You need to log in before you can comment on or make changes to this bug.